com.microfocus.awm.remote

## Interface IFileAttributes<K,V>

- All Known Implementing Classes:
    SimpleFileAttributes

      public interface IFileAttributes<K,V>

  Interface for attributes of a remote system file.

  Implementations will likely contain more specific methods like `getFileName()`, `isWriteProtected()`, etc.

  Author:
    Ralf Pakosch

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<K,V>` | `getAllAttributes()` Returns all attributes and its values.
    `V` | `getAttribute(K pKey)` Returns the value for an attribute with the given name.
    `java.lang.String` | `getAttribute(java.lang.String pKey)` Returns the value of the attribute with the given name.
    `void` | `setAttribute(K pKey, V pValue)` Adds a new file attribute.

- - ### Method Detail

    - #### getAttribute

          V getAttribute(K pKey)

      Returns the value for an attribute with the given name.
      Parameters:
        `pKey` - the name of a file attribute
      Returns:
        the value of the given attribute name or `null`

    - #### setAttribute

          void setAttribute(K pKey,
                            V pValue)

      Adds a new file attribute. If the attribute with the given name already exists, its value will be overwritten.
      Parameters:
        `pKey` - the name of the file attribute
        `pValue` - the value to which the file attribute should be set

    - #### getAllAttributes

          java.util.Map<K,V> getAllAttributes()

      Returns all attributes and its values.
      Returns:
        a Map of all attributes (Key = attribute name, Value = attribute value)

    - #### getAttribute

          java.lang.String getAttribute(java.lang.String pKey)

      Returns the value of the attribute with the given name.
      Parameters:
        `pKey` - the name of the file attribute
      Returns:
        the value of the attribute with the given name

Copyright © 2015 Micro Focus GmbH. All rights reserved.